module Lib ( main ) where

import qualified Core.Configuration            as Configuration
import qualified Core.HTTP                     as HTTP
import qualified Core.SQLite                   as DB
import           Core.Types

import           Crypto.Saltine                (sodiumInit)
import           GHC.Natural                   (popCountNatural)
import           Prelude                       hiding (id)
import           Web.Scotty

main :: IO ()
main = do
  sodiumInit
  Configuration.main
  Configuration.keyFileInit
  DB.main
  appPortStr <- Configuration.appPort
  let appPort = read appPortStr :: Int
  scotty appPort HTTP.app
